### Method

# Tsparql Resource add_int

#### Declaration [src]

    void
    tracker_resource_add_int (
      TrackerResource* self,
      const char* property_uri,
      int value
    )

#### Description [src]

Adds a numeric property with integer precision. Previous values for the same property are kept.

This method is meant for RDF properties allowing multiple values, see nrl:maxCardinality.

This method corresponds to xsd:integer.

#### Parameters

`property_uri`

  Type: `const char*`

  A string identifying the property to modify.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `int`

  The property object.